## physlock 0.4.5

=== Makefile ===
all: physlock

VERSION = 0.4.5

CC      = gcc
PREFIX  = /usr/local
CFLAGS  = -Wall -pedantic -DVERSION=\"$(VERSION)\"
LDFLAGS =
LIBS    = -lcrypt

SRC = auth.c main.c options.c util.c vt.c
OBJ = $(SRC:.c=.o)

physlock:	$(OBJ)
	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)

.c.o: Makefile
	$(CC) $(CFLAGS) -c -o $@ $<

install: all
	install -D -m 4755 -o root -g root physlock $(DESTDIR)$(PREFIX)/bin/physlock
	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1
	sed "s/VERSION/$(VERSION)/g" physlock.1 > $(DESTDIR)$(PREFIX)/share/man/man1/physlock.1
	chmod 644 $(DESTDIR)$(PREFIX)/share/man/man1/physlock.1

clean:
	rm -f physlock $(OBJ)

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/physlock
	rm -f $(DESTDIR)$(PREFIX)/share/man/man1/physlock.1

=== debian/changelog ===
physlock (0.4.5-2) unstable; urgency=medium

  * [d721a25] Bump Standards-Version to 3.9.8
  * [cb29fba] Add Vcs-* headers
  * [0260710] Ship example systemd service file. Thanks to Peter Palfrader
    <weasel@debian.org> (Closes: #848104)
  * [63d8e84] Adjust debian/copyright for copyright year + rework license
    section
  * [2ebd6a0] Install physlock binary with setuid bit set

 -- Michael Prokop <mika@debian.org>  Wed, 14 Dec 2016 11:17:08 +0100

physlock (0.4.5-1) unstable; urgency=low

  * Initial release. [Closes: #791793]

 -- Michael Prokop <mika@debian.org>  Wed, 08 Jul 2015 15:20:46 +0200

=== debian/control ===
Source: physlock
Section: utils
Priority: optional
Maintainer: Michael Prokop <mika@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.8
Homepage: https://github.com/muennich/physlock
Vcs-git: https://anonscm.debian.org/git/collab-maint/physlock.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/physlock.git

Package: physlock
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: lightweight Linux console locking tool
 physlock is an alternative to vlock, it is equivalent to
 `vlock -an'. It is written because vlock blocks some Linux
 kernel mechanisms like hibernate and suspend and can therefore
 only be used with some limitations. physlock is designed to be
 more lightweight and it does not have a plugin interface.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/physlock-$1\.tar\.gz/ \
  https://github.com/muennich/physlock/tags .*/v?(\d\S*)\.tar\.gz

## physlock 11

=== Makefile ===
VERSION  := 11

CC       ?= gcc
PREFIX   := /usr/local
CFLAGS   += -Wall -pedantic
CPPFLAGS += -DVERSION=\"$(VERSION)\" -D_XOPEN_SOURCE=500
LDFLAGS  +=
LIBS     := -lpam -lpam_misc

.PHONY: clean install uninstall

SRC := auth.c main.c options.c util.c vt.c
DEP := $(SRC:.c=.d)
OBJ := $(SRC:.c=.o)

all: physlock

$(OBJ): Makefile

-include $(DEP)

physlock: $(OBJ)
	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)

%.o: %.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -MMD -MP -c -o $@ $<

install: all
	install -D -m 4755 -o root -g root physlock $(DESTDIR)$(PREFIX)/bin/physlock
	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1
	sed "s/VERSION/$(VERSION)/g" physlock.1 > $(DESTDIR)$(PREFIX)/share/man/man1/physlock.1
	chmod 644 $(DESTDIR)$(PREFIX)/share/man/man1/physlock.1

clean:
	rm -f physlock $(DEP) $(OBJ)

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/physlock
	rm -f $(DESTDIR)$(PREFIX)/share/man/man1/physlock.1

=== debian/changelog ===
physlock (11-1) unstable; urgency=medium

  * [22f432c] New upstream version 11 (Closes: #863611)
    (By switching to utmp/libpam handling, also: Closes: #869585)
  * [dca45ef] Add libpam0g-dev as Build-Dependency
  * [df68875] Bump Standards-Version to 4.0.1
  * [678e6f1] Drop debian/patches, no longer necessary with new upstream
    versions

 -- Michael Prokop <mika@debian.org>  Thu, 17 Aug 2017 14:06:44 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,19 @@
 Section: utils
 Priority: optional
 Maintainer: Michael Prokop <mika@debian.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.8
+Build-Depends:
+ debhelper (>= 9),
+ libpam0g-dev,
+Standards-Version: 4.0.1
 Homepage: https://github.com/muennich/physlock
 Vcs-git: https://anonscm.debian.org/git/collab-maint/physlock.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/physlock.git
 
 Package: physlock
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: lightweight Linux console locking tool
  physlock is an alternative to vlock, it is equivalent to
  `vlock -an'. It is written because vlock blocks some Linux

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
CFLAGS+=$(CPPFLAGS)

%:
	dh $@

# set appropriate PREFIX
override_dh_auto_install:
	make PREFIX=$(shell pwd)/debian/physlock/usr install
	# ensure setuid bit is enabled
	chmod u+s $(shell pwd)/debian/physlock/usr/bin/physlock

override_dh_fixperms:
	dh_fixperms --exclude /usr/bin/physlock

## physlock 13

=== Makefile ===
version = 13

srcdir = .
VPATH = $(srcdir)

PREFIX = /usr/local
MANPREFIX = $(PREFIX)/share/man

# enable user detection using libsystemd
HAVE_SYSTEMD = 1

cflags = -Wall -pedantic $(CFLAGS)
cppflags = -I. $(CPPFLAGS) -D_XOPEN_SOURCE=500

lib_systemd_0 =
lib_systemd_1 = -lsystemd
ldlibs = $(LDLIBS) -lpam -lpam_misc $(lib_systemd_$(HAVE_SYSTEMD))

objs = main.o options.o session.o util.o vt.o

all: physlock

.PHONY: all clean install uninstall
.SUFFIXES:
.SUFFIXES: .c .o
$(V).SILENT:

physlock: $(objs)
	@echo "LINK $@"
	$(CC) $(LDFLAGS) -o $@ $(objs) $(ldlibs)

$(objs): Makefile physlock.h config.h
options.o: version.h

.c.o:
	@echo "CC $@"
	$(CC) $(cflags) $(cppflags) -c -o $@ $<

config.h:
	@echo "GEN $@"
	cp $(srcdir)/config.def.h $@

version.h: Makefile .git/index
	@echo "GEN $@"
	v="$$(cd $(srcdir); git describe 2>/dev/null)"; \
	echo "#define VERSION \"$${v:-$(version)}\"" >$@

.git/index:

clean:
	rm -f *.o physlock

install: all
	@echo "INSTALL bin/physlock"
	install -D -m 4755 -o root -g root physlock $(DESTDIR)$(PREFIX)/bin/physlock
	@echo "INSTALL physlock.1"
	mkdir -p $(DESTDIR)$(MANPREFIX)/man1
	sed "s/VERSION/$(version)/g" physlock.1 > $(DESTDIR)$(MANPREFIX)/man1/physlock.1
	chmod 644 $(DESTDIR)$(MANPREFIX)/man1/physlock.1

uninstall:
	@echo "REMOVE bin/physlock"
	rm -f $(DESTDIR)$(PREFIX)/bin/physlock
	@echo "REMOVE physlock.1"
	rm -f $(DESTDIR)$(MANPREFIX)/man1/physlock.1

=== debian/changelog ===
physlock (13-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make requirement for root when building the package explicit.
    (Closes: #1089413)
  * Reorder some code in debian/rules to make it easier to support
    rootless builds correctly in a later version. With this change,
    only upstream makefile will need a patch followed by setting
    `Rules-Requires-Root` to `no`.

 -- Niels Thykier <niels@thykier.net>  Tue, 31 Dec 2024 12:47:04 +0000

physlock (13-1) unstable; urgency=medium

  * [5ed3be0] New upstream version 12 (was not uploaded to Debian yet
    due to https://github.com/muennich/physlock/issues/74)
  * [525fd59] New upstream version 13
  * [7e358ef] Build-Depend on libsystemd-dev, required for recent upstream
    changes

 -- Michael Prokop <mika@debian.org>  Mon, 28 Jan 2019 21:42:45 +0100

physlock (11-2) unstable; urgency=medium

  * [29b3e24] debian: update Vcs headers, living at salsa.debian.org
    nowadays
  * [794af44] Bump Standards-Version to 4.3.0
  * [8d6b966] Bump Build-Depends on debhelper and debian/compat to v10

 -- Michael Prokop <mika@debian.org>  Fri, 25 Jan 2019 15:49:55 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Priority: optional
 Maintainer: Michael Prokop <mika@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  libpam0g-dev,
-Standards-Version: 4.0.1
+ libsystemd-dev,
+Rules-Requires-Root: binary-targets
+Standards-Version: 4.3.0
 Homepage: https://github.com/muennich/physlock
-Vcs-git: https://anonscm.debian.org/git/collab-maint/physlock.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/physlock.git
+Vcs-git: https://salsa.debian.org/mika/physlock.git
+Vcs-Browser: https://salsa.debian.org/mika/physlock
 
 Package: physlock
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,8 @@
 # set appropriate PREFIX
 override_dh_auto_install:
 	make PREFIX=$(shell pwd)/debian/physlock/usr install
+
+
+execute_after_dh_fixperms:
 	# ensure setuid bit is enabled
 	chmod u+s $(shell pwd)/debian/physlock/usr/bin/physlock
-
-override_dh_fixperms:
-	dh_fixperms --exclude /usr/bin/physlock
